Subject: Re: Another newbie onboard...
From: [email-masked] (Harry Putnam)

28 May 1998 04:17:30 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]

[email-masked] (Michael Hirmke) writes:

> Hi Harry,

> [...]
> >So should ENV variables such as PS1 settings be but in cygnus.bat?  I've
> 
> You can have them there, you also can have the most important there and
> all the others on a .bashrc. For a .bashrc to work, you then have to set
> HOME correctly in your cygnus.bat.
> If you have Windows NT, you can use the User Environment instead of a
> cygnus.bat - same for an autoexec.bat in Windows 95.
> 
> [...]
> >(PATH and HOME). That seems to work but I don't really understand the
> >syntax that win95 wants.
> 
> Which syntax ?
> set var=value ? Or am I misunderstanding you ?

I meant in the autoexec.bat

First thanks for your kindness and patience in helping me get a better
understanding of what this is all about.

I was a little confused about the syntax I've seen posted here and on
the cygnus.bat and autoexec.bat.  I hadn't run into the use of '%'
signs before.  (not very experienced with unix or windows) Looks a bit 
different from .bashrc or .bash_profile.  My first attempts on
autoexec.bat I used bad synax and managed to blind win95 to its own
win.com file, by dorking up the 'Path' syntax.  Gave me a bit of a
start until I figured out what had happened.

cygnus.bat

@ECHO OFF
SET MAKE_MODE=unix
SET CYGFS=E:/em-home/local
SET GCC_EXEC_PREFIX=E:\EM-HOME\LOCAL\H-I386~1\lib\gcc-lib\
SET TCL_LIBRARY=%CYGROOT%\share\tcl8.0\
SET GDBTK_LIBRARY=%CYGFS%/share/gdbtcl
SET PATH=E:\EM-HOME\LOCAL\H-I386~1\bin;%PATH%
bash
SET CYGWIN32=tty notitle binmode

autoexec.bat

SET VXCLASSPATH=c:\VXtreme\client\applets
SET CLASSPATH=%VXCLASSPATH%;%CLASSPATH%
@echo off
C:\PROGRA~1\NORTON~1\NAVBOOT.EXE /STARTUP
C:\WINDOWS\COMMAND\MSCDEX.EXE /D:MSCD001
SET HOME=E:\em-home
SET PATH=%PATH%;C:\Programs\super-notetab;C:\bin;E:\em-home\emacs-20.2.1\bin;E:\em-home\local\H-i386-cygwin32\bin
SET PS1=Wn\w:

Some of the vars looked unfamiliar as well.  But I am beginning to
catch on a little, now.

Many thanks
-- 

Harry Putnam  [email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".